curl -X POST 'https://foodsoul.pro/api/crm/v2/sites_seo_items.update?branch_id=8778' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: kk' \
-H 'role: partner' \
-H 'Content-Type: application/json' \
-d '{"id":18103940,"seo_friendly_url":"zarenyj-roll-s-krevetkoj-i-tuncom","seo_h1":"Fried roll with shrimp and tuna","seo_breadcrumb":"Fried roll with shrimp and tuna","seo_title":"Fried roll with shrimp and tuna","seo_keywords":"rolls, shrimp","seo_description":"Fried roll with shrimp and tuna in Kaliningrad","seo_text":"<p>Fried roll with shrimp and tuna in Kaliningrad<p>","excludes":["seo_text"]}'
<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://foodsoul.pro/api/crm/v2/sites_seo_items.update?branch_id=8778', [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN',
'language' => 'kk',
'role' => 'partner',
],
'json' => [
'id' => 18103940,
'seo_friendly_url' => 'zarenyj-roll-s-krevetkoj-i-tuncom',
'seo_h1' => 'Fried roll with shrimp and tuna',
'seo_breadcrumb' => 'Fried roll with shrimp and tuna',
'seo_title' => 'Fried roll with shrimp and tuna',
'seo_keywords' => 'rolls, shrimp',
'seo_description' => 'Fried roll with shrimp and tuna in Kaliningrad',
'seo_text' => '<p>Fried roll with shrimp and tuna in Kaliningrad<p>',
'excludes' => [
'seo_text',
],
],
]);
$data = json_decode((string) $response->getBody(), true);
const response = await fetch("https://foodsoul.pro/api/crm/v2/sites_seo_items.update?branch_id=8778", {
method: "POST",
headers: {
"Authorization": "Bearer fs_api_YOUR_TOKEN",
"language": "kk",
"role": "partner",
"Content-Type": "application/json"
},
body: JSON.stringify({
"id": 18103940,
"seo_friendly_url": "zarenyj-roll-s-krevetkoj-i-tuncom",
"seo_h1": "Fried roll with shrimp and tuna",
"seo_breadcrumb": "Fried roll with shrimp and tuna",
"seo_title": "Fried roll with shrimp and tuna",
"seo_keywords": "rolls, shrimp",
"seo_description": "Fried roll with shrimp and tuna in Kaliningrad",
"seo_text": "<p>Fried roll with shrimp and tuna in Kaliningrad<p>",
"excludes": [
"seo_text"
]
}),
})
const data = await response.json()
import requests
response = requests.request(
"POST",
"https://foodsoul.pro/api/crm/v2/sites_seo_items.update?branch_id=8778",
headers={
"Authorization": "Bearer fs_api_YOUR_TOKEN",
"language": "kk",
"role": "partner",
},
json={
"id": 18103940,
"seo_friendly_url": "zarenyj-roll-s-krevetkoj-i-tuncom",
"seo_h1": "Fried roll with shrimp and tuna",
"seo_breadcrumb": "Fried roll with shrimp and tuna",
"seo_title": "Fried roll with shrimp and tuna",
"seo_keywords": "rolls, shrimp",
"seo_description": "Fried roll with shrimp and tuna in Kaliningrad",
"seo_text": "<p>Fried roll with shrimp and tuna in Kaliningrad<p>",
"excludes": [
"seo_text",
],
},
)
data = response.json()
Жауап 200
{
"status": "success",
"data": {
"photo": "https://cdn.foodsoul.ru/zones/ru/branches/9048/images/candidates/b72e2f8a2c37bfc0de92ccb82e7bdc31.jpg?v1747140062"
}
}
Сұраныстар foodsoul.pro — осы порталдың хостына жіберіледі, басқа хостты таңдау мүмкін емес.